# Filename: tri_set_colour.py
# Purpose: Sets the colour of triangulation to RGB(list) or colour index(int).
# Returns: None.

from maptek import vulcan

input_tri = 'topo.00t' # input triangulation
			
with vulcan.triangulation(input_tri, 'w') as tri:
    tri.set_colour(50) # using colour index integer
				
with vulcan.triangulation(input_tri, 'w') as tri:
    tri.set_colour([255, 160, 0]) # using rgb list	